{% extends "gamestradamus/base.html" %}

{% block title %}Similar Players{% endblock %}

{% block relatives_nav_class %}active{% endblock %}

{% block header %}
    <article class="your-relatives">
        <div class="title">
            <h1>Similar Players</h1>
            <p class="data">
                Last updated:&nbsp;<span id="last-updated" data-last-updated="{{ last_updated }}"></span>
            </p>
            <p class="instructions">
                This is the list of steam profiles that are 
                being used to make predictions for you.
            </p>
        </div>
    </article>
{% endblock %}

{% block container %}
    <article class="your-relatives">
        {% if results %}
            <table id="relative_list">
            <thead>
                <tr>
                    <th><a>Profile</a></th>
                    <th class="similar-games"><a>Similar Games</a></th>
                    <th class="match-score"><a class="sort-descending">Match Score</a></th>
                </tr>
            </thead>
            <tbody>
                {% for user_account_relative, relative in results %}
                <tr class="relative" data-user-account-relative-id="{{ user_account_relative.id }}">
                    <td>
                        <a href="/profile/{{ relative.id }}/games/">{{ relative.nickname }}</a>
                    </td>
                    <td class="center">{{ user_account_relative.similar_count|default('0', True) }}</td>
                    <td class="center">{{ user_account_relative.match_score|default('0.00', True) }}</td>
                </tr>
                {% endfor %}
            </tbody>
            </table>
        {% else %}
            <div id="no-relatives">
                <img src="/images/loader.gif">
            </div>
        {% endif %}
    </article>
{% endblock %}

{% block scripts %}
    {{ super() }}
    <script type="text/javascript">
        require(["gamestradamus/your-relatives"], function(init) { init(); });
    </script>
{% endblock %}
